Bug 1582658 (CVE-2018-11440)

Summary: CVE-2018-11440 liblouis: Stack-based Buffer Overflow in parseChars function in compileTranslationTable.c
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: martin.gieseking, mclasen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-21 20:04:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1582659, 1582660    
Bug Blocks: 1582661    

Description Pedro Sampaio 2018-05-25 20:30:07 UTC
Liblouis 3.5.0 has a stack-based Buffer Overflow in the function parseChars in compileTranslationTable.c.

Upstream issue:

https://github.com/liblouis/liblouis/issues/575

Comment 1 Pedro Sampaio 2018-05-25 20:30:28 UTC
Created liblouis tracking bugs for this issue:

Affects: fedora-all [bug 1582660]

Comment 4 Scott Gayou 2018-06-06 15:00:16 UTC
Statement:

This issue did not affect the version of Liblouis as shipped with Red Hat Enterprise Linux 7.